package dk.nsp.idsas.dao;

import java.sql.Timestamp;
import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneOffset;

public class DbUtils {

    /**
     * Converts an Instant to a Timestamp without changing the time zone from UTC to something else.
     * @param instant the Instant to convert
     * @return the converted Timestamp
     */
    public static Timestamp toTimestamp(Instant instant) {
        LocalDateTime expiryDate = LocalDateTime.ofInstant(instant, ZoneOffset.UTC);
        // Vi er nødt til at bruge konstruktøren direkte, da den ellers laver konvertering fra UTC til maskinens lokale tidszone.
        // Idéelt set burde vi bruge Instant og LocalDateTime i stedet, men det understøtter vores nuværende JDBC-driver desværre ikke...
        return new Timestamp(expiryDate.getYear() - 1900, expiryDate.getMonthValue() - 1, expiryDate.getDayOfMonth(), expiryDate.getHour(), expiryDate.getMinute(), expiryDate.getSecond(), 0);
    }

}
