package dk.nsp.idsas.util;

import org.apache.log4j.Logger;

public abstract class IdsasException extends Exception {
    private final boolean client;
    private final FaultCode code;

    public IdsasException(String message, FaultCode code, boolean client) {
        super(message);
        this.client = client;
        this.code = code;
    }

    public IdsasException(String message, FaultCode code, boolean client, Throwable e) {
        super(message, e);
        this.client = client;
        this.code = code;
    }

    public boolean isClient() {
        return client;
    }

    public FaultCode getCode() {
        return code;
    }

    /**
     * Log the error message to the logger. If the exception is an internal server error, the exception is also logged.
     * @param logger The logger to log to
     */
    public void logError(Logger logger) {
        if (this.isClient()) {
            logger.warn(this.getMessage());
        } else {
            logger.error(this.getMessage(), this);
        }
    }
}
