package dk.nsp.idsas.test._20230601;

import java.io.IOException;

import dk.nsp.idsas.test.util.HttpClient;
import io.cucumber.java.en.And;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import static org.junit.Assert.assertFalse;

public class CleanupStepDefinitions {
    @Value("${idsas.operations.endpoint}" + "/cleanup-blurrings")
    private String cleanupEndpoint;

    @Value("${idsas.operations.endpoint}" + "/status")
    private String operationsHealthEndpoint;

    @Value("${idsas.operations.endpoint}" + "/cleanup-blurrings-deceased")
    private String cleanupDeceasedEndpoint;

    private int responseCode;

    @When("oprydning af gamle sløringer igangsættes")
    public void oprydningAfGamleSløringerIgangsættes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("oprydning af afdøde sløringer igangsættes")
    public void oprydningAfAfdoedeSløringerIgangsættes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupDeceasedEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("oprydning af gamle sløringer giver returkode {int}")
    public void oprydningAfGamleSløringerGiverReturkode(int code) {
        Assert.assertEquals(code, responseCode);
    }

    @Then("oprydning af afdøde sløringer giver returkode {int}")
    public void oprydningAfAfdoedeSløringerGiverReturkode(int code) {
        Assert.assertEquals(code, responseCode);
    }

    @And("health endpoint for oprydning af gamle sløringer indeholder ikke status {string}")
    public void healthEndpointForOprydningAfGamleSløringerHarIkkeLængereStatus(String status) throws IOException {
        HttpClient httpClient = new HttpClient();
        String response = httpClient.get(operationsHealthEndpoint);

        String[] responseParts = response.split(",");
        assertFalse(responseParts[2].contains(status));
    }

    @And("health endpoint indeholder ikke status {string}")
    public void healthEndpointForOprydningAfAfdoedeSløringerHarIkkeLængereStatus(String status) throws IOException {
        HttpClient httpClient = new HttpClient();
        String response = httpClient.get(operationsHealthEndpoint);
        assertFalse(response.contains(status));
    }

}
