package dk.nsp.idsas.test.util;

import org.apache.log4j.Logger;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.stream.Collectors;

public class HttpClient {
    private static final Logger logger = Logger.getLogger(HttpClient.class);

    private int responseCode;

    public String get(String endpoint) throws IOException {
        URL wsdlUrl = new URL(endpoint);
        HttpURLConnection connection = (HttpURLConnection) wsdlUrl.openConnection();
        connection.setRequestMethod("GET");

        responseCode = connection.getResponseCode();
        try {
            return new BufferedReader(new InputStreamReader(connection.getInputStream(), StandardCharsets.UTF_8))
                    .lines()
                    .collect(Collectors.joining("\n"));
        } catch (IOException e) {
            logger.error(e.getMessage(), e);
            return "";
        }
    }

    public int getResponseCode() {
        return responseCode;
    }
}
