package dk.nsp.idsas.operations.ws;

import dk.nsp.idsas.service.CleanupDeceasedService;
import dk.nsp.idsas.ws.AbstractServlet;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.time.OffsetDateTime;
import java.time.format.DateTimeFormatter;

@WebServlet(name="CleanUpDeceasedServlet", urlPatterns={"/cleanup-blurrings-deceased"})
public class CleanUpDeceasedServlet extends AbstractServlet {
    private static final Logger logger = Logger.getLogger(CleanUpDeceasedServlet.class);

    @Autowired
    private CleanupDeceasedService cleanupDeceasedService;

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
        logger.trace("Enter cleanup deceased blurrings");

        cleanupDeceasedService.cleanUpDeceasedBlurrings();

        response.setStatus(HttpServletResponse.SC_OK);
        response.getOutputStream().write(DateTimeFormatter.ISO_OFFSET_DATE_TIME.format(
                OffsetDateTime.now()).getBytes(StandardCharsets.UTF_8));
    }
}
