package dk.nsp.idsas.operations.ws;

import dk.nsp.idsas.service.CleanupDeceasedService;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

import static org.mockito.ArgumentMatchers.any;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

public class CleanUpDeceasedServletTest {

    @Mock
    private CleanupDeceasedService cleanupDeceasedService;

    @Mock
    private HttpServletRequest request;

    @Mock
    private HttpServletResponse response;

    @Mock
    private ServletOutputStream servletOutputStream;

    @InjectMocks
    private CleanUpDeceasedServlet cleanUpDeceasedServlet;

    @Before
    public void setUp() throws IOException {
        MockitoAnnotations.openMocks(this);
        when(response.getOutputStream()).thenReturn(servletOutputStream);
    }

    @Test
    public void testDoGet() throws IOException {
        cleanUpDeceasedServlet.doGet(request, response);

        verify(cleanupDeceasedService).cleanUpDeceasedBlurrings();
        verify(response).setStatus(200);
        verify(servletOutputStream).write(any(byte[].class));
    }
}
