package dk.nsp.idsas.setup;

public enum PersistStrategy {
    KAFKA, DATABASE;

    public static PersistStrategy fromString(String strategy) {
        if (strategy == null) {
            return DATABASE;
        }
        switch (strategy.toUpperCase()) {
            case "KAFKA":
                return KAFKA;
            case "DATABASE":
                return DATABASE;
            default:
                throw new IllegalArgumentException("Unknown persist strategy: " + strategy);
        }
    }
}
