package dk.nsp.idsas.dto;

public enum KafkaMsgType {
    CREATE_BLURRING_ENTITY("CreateBlurringEntity"),
    CREATE_ORG_BLURRING_ENTITY("CreateOrgBlurringEntity"),
    REMOVE_ORG_BLURRING_ENTITY("RemoveOrgBlurringEntity");

    private final String value;

    KafkaMsgType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public static KafkaMsgType fromValue(String value) {
        for (KafkaMsgType type : KafkaMsgType.values()) {
            if (type.getValue().equals(value)) {
                return type;
            }
        }
        throw new IllegalArgumentException("Unknown Kafka message type: " + value);
    }
}
