package dk.nsp.idsas.util.health;

import dk.nsp.idsas.kafka.KafkaConsumerService;
import dk.nsp.idsas.util.JsonPair;
import org.apache.commons.httpclient.HttpStatus;

public class KafkaConsumerHealthIndicator implements HealthIndicator {
    private final KafkaConsumerService kafkaConsumerService;

    public KafkaConsumerHealthIndicator(KafkaConsumerService kafkaConsumerService) {
        this.kafkaConsumerService = kafkaConsumerService;
    }

    @Override
    public HealthIndication getHealthInfo() {
        return new HealthIndication(HttpStatus.SC_OK, new JsonPair("Kafka Consumer Job Status", kafkaConsumerService.getStatus().name()));
    }
}
