package dk.nsp.idsas.kafka;

import org.junit.Test;

import java.util.Properties;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;

public class KafkaUtilTest {

    @Test
    public void filterKafkaProperties() {
        // Arrange
        Properties properties = new Properties();
        properties.put("kafka.bootstrap.servers", "localhost:9092");
        properties.put("kafka.group.id", "group1");
        properties.put("kafka.enable.auto.commit", "true");
        properties.put("something else", "value");
        properties.put("nsp.kafka.producer.component.name", "producer1");

        // Act
        Properties filteredProperties = KafkaUtil.filterKafkaProperties(properties, "kafka.");

        // Assert
        assertEquals("localhost:9092", filteredProperties.getProperty("bootstrap.servers"));
        assertEquals("group1", filteredProperties.getProperty("group.id"));
        assertEquals("true", filteredProperties.getProperty("enable.auto.commit"));
        assertEquals("producer1", filteredProperties.getProperty("nsp.kafka.producer.component.name"));
        assertFalse(filteredProperties.containsKey("something else"));
    }


}


