package dk.nsp.idsas.util.health;

import dk.nsp.idsas.integrations.sores.SoresClient;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class SoresClientHealthIndicatorTest {

    @Test
    public void healthIndicatorReturnsOK() {
        // Arrange
        SoresClient soresClient = mock(SoresClient.class);
        when(soresClient.getErrorCount()).thenReturn(0);
        SoresClientHealthIndicator soresClientHealthIndicator = new SoresClientHealthIndicator(soresClient, 0);

        // Act
        HealthIndication indication = soresClientHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"Sores Client\": \"OK\"", indication.getText());
    }

    @Test
    public void healthIndicatorReturnsNotOK() {
        // Arrange
        SoresClient soresClient = mock(SoresClient.class);
        when(soresClient.getErrorCount()).thenReturn(42);
        SoresClientHealthIndicator soresClientHealthIndicator = new SoresClientHealthIndicator(soresClient, 0);

        // Act
        HealthIndication indication = soresClientHealthIndicator.getHealthInfo();

        // Assert
        assertEquals("\"Sores Client\": \"Unavailable\"", indication.getText());
    }

}
